Subject: Re: [bug#54539] [PATCH 0/6] Start breaking up import cycles

From: Maxime Devos <[email-masked]>
Date: Thu, 24 Mar 2022 16:05:33 +0100

Liliana Marie Prikler schreef op do 24-03-2022 om 08:22 [+0100]:
> I agree that breaking up cycles is a good thing, but I disagree with
> some of the decisions you've made here.  For instance, I oppose the use
> of single-package modules, because those more often than not simply
> clutter the file system.

There are some other sound applications in (gnu packages audio)
and (gnu packages music), so maybe I can make a (gnu packages audio-
apps) module where 'audacity' and other applications like 'calf' can
reside?

For reducing the contribution of (gnu packages compression) on the
cycle issue, I've (in not yet submitted patched) separated many things
into (gnu packages compression-xyz), perhaps I can merge
(gnu packages patools) into (gnu packages compression-xyz)?

Greetings,
Maxime.